// Code generated by github.com/99designs/gqlgen, DO NOT EDIT.

package model

// Type that represents an Account Entity
type Account struct {
	// Key in DB of the account
	Key *string `json:"key"`
	// Email of the account
	Email *string `json:"email"`
	// Name (Company's name) of the account
	Name *string `json:"name"`
	// Address (Company's address) of the account
	Address *Address `json:"address"`
	// Number of managed Vending Machines
	NMachines *int `json:"n_machines"`
}

func (Account) IsEntity() {}

// Input that represents an Updated Account Entity
type AccountInput struct {
	// Key in DB of the existing account
	Akey *string `json:"akey"`
	// Email of the account
	Email *string `json:"email"`
	// Name (Company's name) of the account
	Name *string `json:"name"`
	// Password of the account
	Password *string `json:"password"`
	// Address (Company's address) of the account
	Address *NewAddress `json:"address"`
	// Number of managed Vending Machines
	NMachines *int `json:"n_machines"`
}

// Type that represents an Address Entity
type Address struct {
	// Address Line with optional number
	AddressLine *string `json:"address_line"`
	// City
	City *string `json:"city"`
	// Region (optional)
	Region *string `json:"region"`
	// Postal Code
	PostalCode *string `json:"postal_code"`
	// Country (optional)
	Country *string `json:"country"`
}

// Input that represents an Entity's Key (used in deletion and retriveal per key)
type KeyInput struct {
	// Key of an Entity
	Key string `json:"key"`
}

// Input that represents a New Store Entity
type NewAccount struct {
	// Email of the account
	Email string `json:"email"`
	// Name (Company's name) of the account
	Name string `json:"name"`
	// Password of the account
	Password string `json:"password"`
	// Address (Company's address) of the account
	Address *NewAddress `json:"address"`
	// Number of managed Vending Machines
	NMachines int `json:"n_machines"`
}

// Input that represents a New/Updated Address Entity
type NewAddress struct {
	// Address Line with optional number
	AddressLine string `json:"address_line"`
	// City
	City string `json:"city"`
	// Region (optional)
	Region *string `json:"region"`
	// Postal Code
	PostalCode string `json:"postal_code"`
	// Country (optional)
	Country *string `json:"country"`
}

// Input that represents an Account Token (used in refresh and invalidation of a token): For now the token that must be inputted is the access Token (No Refresh Token implemented yet)
type RefreshTokenInput struct {
	// Token of an Account
	Token string `json:"token"`
}

// Type that represents an Entity's Key
type ReturnKey struct {
	// Key of an Entity
	Key string `json:"key"`
}
